CHANGES
=======

* Restrict keystonemiddleware version for MOS8
* Fix bug 1566202

5.0.5
-----

* consumes error notif. when event are disabled
* Retrieval of RBD device information issue

5.0.4
-----

* Updated from global requirements
* Remove oslo_utils.timeutils.total_seconds() usage + catch DriverLoadFailure for get_transport optional + fix CI failure due to oslo.messaging 5.0.0 + correct concurrency of gabbi
* Avoid Map-Reduce job during the get_resource
* CPU and rate pollsters in the compute agent
* Fix concurrency issue with snmp pollsters

5.0.3
-----

* Lookup meter definition fields correctly
* Cast Int64 values to int, float in statistics
* Add validation for polling_namespaces option
* Remove gabbi tests that check content-location
* Imported Translations from Zanata
* close services in test
* Fixing evaluation of gnocchi aggregation-by-metric
* Skip duplicate meter definitions
* ignore context in tests
* Add gnocchi dispatcher opts to config
* Gnocchi: fix ResourcesDefinitionException for py3
* gnocchi: fix stack resource type
* add cpu.delta to gnocchi resources
* Handle malformed resource definitions gracefully
* raise coordination error if not registered
* Imported Translations from Zanata
* do not configure worker specific items in init
* better support notification coordination
* Remove transformers from pipeline.yaml

5.0.2
-----

* fix unknown gnocchi db in liberty gate
* add ceilometer 5.0.2 release notes
* Fix snmp pollster to not ignore valid meters
* Changes aggregator transformer to allow retention_time w/o size
* oslo.messaging option group/name change for notification topics
* [MongoDB] add indexes in event collection
* Add exlude rules for meaningless meters
* Fix a issue with failing nova notifications
* Updated from global requirements
* oslo.messaging option group/name change for notification topics
* fix functional gate
* gnocchi: remove possible ending / in URL
* Move the content of ReleaseNotes to README.rst

5.0.1
-----

* re-implement thread safe fnmatch
* don't pass ceilometer options to oslo.db engine facade
* Updated from global requirements
* Add WebTest to test-requirements.txt
* Imported Translations from Zanata
* add reno for release notes management
* add first reno-based release note
* Wrap importing python-kafka by try..except
* Disable adding meters link to resource in api
* Fix endpoint to poll if Swift uses RADOS
* avoid unnecessary inner join in get_resources() for SQL backend
* Update .gitreview for stable/liberty
* Add Liberty release note link
* avoid using isolation level
* Updated from global requirements
* avoid generate temporary table when query samples
* Ensure the test data sample has correct signature
* Remove dependency on sphinxcontrib-docbookrestapi
* Updated from global requirements
* Switch to post-versioning
* support mysql+pymysql in functional test
* If mongodb_replica_set is empty do not pass it to client
* Add missing ceilometerclient repo location
* Skip bad meter definitions instead of erroring out

5.0.0
-----

* Imported Translations from Zanata
* SQL: Fix event-list with multiple trait query filters
* Fix the deprecation note in meter.yaml

5.0.0.0rc1
----------

* gnocchi: Don't raise NotImplementedError
* Add missing meter and exchange opts
* Imported Translations from Zanata
* Add test to cover history rule change
* Workaround requests/urllib connection leaks
* integration tests: additional debugging infos
* Coordinator handles ToozError when joining group
* Don't create neutron client at loadtime
* Delete its corresponding history data when deleting an alarm
* update event filter test to validate multiple trait args
* Fix variable typos
* Updated from global requirements
* Change ignore-errors to ignore_errors
* Fix reconnecting to libvirt
* remove batch processing requirement from arithmetic transformer
* Cleanup empty dirs from tests
* retain existing listeners on refresh
* Override dispatcher option for test_alarm_redirect_keystone
* [ceilometer] Update links to Cloud Admin Guide
* Adds support for dynamic event pipeline
* Updated from global requirements
* Imported Translations from Zanata
* pollster/api now publish to sample queue
* tox: generate config file on test run
* tox: Allow to pass some OS_* variables
* Refactor keystone handling in discovery manager
* Use make_sample_from_instance for net-pollster
* apply limit constraint on storage base interface
* gnocchi: add two new resources
* Fixed tox -egenconfig Error
* Add declarative meters to developer docs
* add delta transfomer support
* do not recreate main queue listeners on partitioning
* Validate required fields in meter definition
* deprecate cadf_only http dispatcher
* Fix the heavy time cost of event-list
* Update API Doc to deprecate the alarming part
* Deprecate config options of the old alarming functionality
* update architecture documentation
* Add attribute 'state' to meter metadata when source is polling
* Remove useless base class
* Split out image non-meters
* Make the gabbi tox target work with modern tox
* Avoid 500 errors when duplicating limit queries
* Correct test_list_meters_meter_id to work with py3
* Updated from global requirements
* Update event_definitions for Cinder Image Cache
* Update install docs
* Use b64encode to replace of encodestring
* Prevent ceilometer expirer from causing deadlocks
* remove duplicate log exception message
* Spelling mistake of comment in api/controllers/v2/query.py
* Fix typos in gnocchi.py and converter.py
* Updated from global requirements
* Updated from global requirements
* Add a py34-functional tox target
* doc: update notification_driver
* polling: remove deprecated agents
* Fix string in limit warning
* Typo fixing
* missed entrypoint for nova_notifier removal
* Imported Translations from Transifex
* Fix links in README.rst
* integration: Add debugging information
* deprecate db2 nosql driver
* devstack: add new option to support event-alarm
* Sync devstack plugin with devstack:lib/ceilometer
* Updated from global requirements
* remove old nova_notifier processing code

5.0.0.0b3
---------

* restrict admin event access
* Migrate the old snmp pollsters to new declarative pollster
* Support to load pollsters extensions at runtime
* Added snmp declarative hardware pollster
* Requeuing event with workload_partitioning on publish failure
* Event filtering for non-admin users
* integration: fix typo
* gnocchi: cleanup instance resource definition
* Updated from global requirements
* Adding pradk to MAINTAINERS
* Adding liusheng to MAINTAINERS
* Add index to metadata_hash column of resource table
* Incorrect Links are updated
* Removing unused dependency: discover
* Use new location of subunit2html
* Change tox default targets for quick use
* Fixed identity trust event types
* gnocchi: quote the resource_id in url
* fix metadata for compute cpu notifications
* support custom metadata
* Move profiler meters to yaml
* Control Events RBAC from policy.json
* Events RBAC needs scoped token
* make telemetry sample payloads dictionaries
* Fix requeue process on event handling error
* allow configurable pipeline partitioning
* Keep the instance_type meta from polling and notification consistent
* Add user_id,project_id traits to audit events
* Change json path's to start with $. for consistency
* Add validation tests for arithmetic, string and prefix expressions
* Fix description for "Inapt spelling of 'MongoDB'"
* Create conf directory during devstack install phase
* support custom timestamp
* Add cpu meters to yaml
* Fix description for "Incorrect spelling of a word"
* integration: add some new tests
* Fix disable_non_metric_meters referencing
* Update tests to reflect WSME 0.8 fixes
* remove jsonpath-rw requirement
* Do not use system config file for test
* gnocchi: move to jsonpath_rw_ext
* Updated from global requirements
* Allow to run debug tox job for functional tests
* Use jsonpath_rw_ext for meter/event definitions
* preload jsonpath_rw parsers
* integration test: adjusts timeout
* integration test: failfast
* Updated from global requirements
* Avoid recording whole instance info in log
* Fix dependency for doc build
* Mark record_type in PaaS Event Format doc as optional
* full multi-meter support
* add flexible grouping key
* Corrected test_fallback_meter_path test case
* Add hypervisor inspector sanity check
* handle list payloads in notifications
* xenapi: support the session to "unix://local"
* Introduce Guru Meditation Reports into Ceilometer
* Use start status of coodinator in tooz
* Fixed event requeuing/ack on publisher failure
* Implement consuming metrics from Magnum
* Avoid from storing samples with empty or not numerical volumes
* use union all when building trait query
* Fixed spelling error, retreive -> retrieve
* Use min and max on IntOpt option types
* Update install docs with gnocchi dispatcher info
* Make it possible to run postgresql functional job
* Revert "Remove version from os_auth_url in service_credentials"
* Updated from global requirements
* integration: chown ceilometer directory properly
* add mandatory limit value to complex query list
* add test to validate jsonpath
* Remove version from os_auth_url in service_credentials
* do not translate debug logs
* Updated from global requirements
* Grenade plugin using devstack plugin for ceilometer
* remove alembic requirement
* Convert instance, bandwidth and SwiftMiddleware meters
* Change and move the workers options to corresponding service section
* Drop the downgrade function of migration scripts
* start rpc deprecation
* support multiple-meter payloads
* add poll history to avoid duplicate samples
* Add Kilo release note reference
* initialise opencontrail client in tests
* Make ConnectionRetryTest more reliable
* Correct thread handling in TranslationHook
* Updated from global requirements
* Correctly intialized olso config fixture for TestClientHTTPBasicAuth
* Don't start up mongodb for unit test coverage
* disable non-metric meter definitions
* Cast Int64 values to float
* Convert identity, sahara and volume to meters yaml
* Enable entry points for new declarative meters
* Fix for rgw still throwing errors
* group pollsters by interval
* Revert "Revert "remove instance:<flavor> meter""
* api: fix alarm deletion and update
* Fixes the kafka publisher
* Sync devstack plugin with devstack:lib/ceilometer
* integration: use the right user in gate
* Imported Translations from Transifex
* Initial separating unit and functional tests
* Stop using openstack.common from keystoneclient
* minimise scope of hmac mocking
* Updated from global requirements
* gnocchi: retry with a new token on 401
* Fix some gabbi tests
* Improve comments in notification.py
* mongo: fix last python3 bugs
* postgres isolation level produces inconsistent reads
* Masks messaging_urls in logs during debug mode
* Corrected unit of snmp based harware disk and memory meters
* Provide base method for inspect_memory_resident
* Fix Python 3 issue in opendaylight client
* Fix more tests on Python 3
* Remove the compute inspector choice restriction
* [MongoDB] Refactor indexes for meter and resources
* tests: add an integration test
* Fix WSGI replacement_start_response() on Python 3
* gnocchi: reduce the number of patch to gnocchi API
* Make the partition coordinator log more readable
* Drop out-of-time-sequence rate of change samples

5.0.0.0b2
---------

* [MongoDB] Use a aggregate pipeline in statistics
* Instance Cache in Node Discovery Pollster
* Instance Caching
* Imported Translations from Transifex
* fix gnocchi resources yaml
* Import the api opt group in gabbi fixture
* Add a batch_polled_samples configuration item
* Remove redundant comma
* storage: deprecates mongodb_replica_set option
* Improves send_test_data tools
* Replace isotime() with utcnow() and isoformat()
* distributed coordinated notifications
* Imported Translations from Transifex
* Close and dispose test database setup connections
* Updated from global requirements
* api: Redirect request to aodh if available
* api: return 410 if only Gnocchi is enabled
* Fix broken IPMI agent
* add mandatory limit value to meter list
* add mandatory limit value to resource list
* add mandatory limit value to event list
* Move gnocchi resources definition in yaml file
* Send a notification per sample, do not batch
* Handles dns.domain.exists event in Ceilometer
* Pollsters now send notifications without doing transforms
* Imported Translations from Transifex
* Switch to the oslo_utils.fileutils
* Updated from global requirements
* Use choices for hypervisor_inspector option
* The product name Vsphere should be vSphere
* Add necessary executable permission
* Store and restore the xtrace option in devstack plugin
* gnocchi: Remove useless resources patching
* add Trove(DBaaS) events
* Set conf.gnocchi_dispatcher.url explicitly in tests
* Declarative meters support
* Stop the tests if backend hasn't started
* Delay the start of the collector until after apache restart
* Clean the re-implemented serializers in Ceilometer
* monkey_patch thread in tests
* make notifier default event publisher
* Fix gnocchi DispatcherTest tests
* Sort metric data before grouping and processing
* Namespace functions in devstack plugin
* Added valid values of operator to response body
* gnocchi: fixes the instance flavor type
* gnocchi dispatcher: fix typo in stevedore endpoint
* Imported Translations from Transifex
* Tolerate alarm actions set to None
* Make ceilometer work correctly when hosted with a SCRIPT_NAME
* Implementation of dynamically reloadable pipeline
* fix log msg typo in api utils
* Updated from global requirements
* Add documentation about the usage of api-no-pipline
* drop deprecated pipeline
* Improve doc strings after changing method for index creation
* set default limit to meter/sample queries
* collector: fix test raising error
* Remove test-requirements-py3.txt
* remove unused event query
* Create a devstack plugin for ceilometer
* Add support for posting samples to notification-agent via API
* restore long uuid data type
* Revert "Add support for posting samples to notification-agent via API"
* Update alarm history only if change in alarm property
* test error log - catch dummy error
* fix kafka tests from flooding logs
* catch warnings from error tests
* remove unused notifier
* Add support for posting samples to notification-agent via API
* Stop dropping deprecated tables while upgrade in mongodb and db2
* Add handler of sample creation notification
* Remove the unused get_targets method of plugin base
* Replaces methods deprecated in pymongo3.0
* add oslo.service options
* Restricts pipeline to have unique source names
* drop use of oslo.db private attribute
* Fix oslo.service configuration options building
* Add fileutils to openstack-common.conf
* disable non-metric meters

5.0.0.0b1
---------

* Remove unnecessary executable permission
* Imported Translations from Transifex
* Switch to oslo.service
* Remove unnecessary wrapping of transformer ExtentionManager
* Port test_complex_query to Python 3
* Fix expected error message on Python 3
* Fix usage of iterator/list on Python 3
* Replaces ensure_index for create_index
* pip has its own download cache by default
* For sake of future python3 encode FakeMemcache hashes
* Make acl_scenarios tests' keystonemiddleware cache work flexibly
* Update version for Liberty
* Gnocchi Dispatcher support in Ceilometer

5.0.0a0
-------

* Updated from global requirements
* Fix alarm rest notifier logging to include severity
* Remove useless execute bit on rst file
* Fix unicode/bytes issues in API v2 tests
* Fix script name in tox.ini for Elasticsearch
* Fix the meter unit types to be consistent
* tests: use policy_file in group oslo_policy
* Fix publisher test_udp on Python 3
* Fix Ceph object store tests on Python 3
* Port IPMI to Python 3
* Port middleware to Python 3
* [elasticsearch] default trait type to string
* Updated from global requirements
* Lower down the range for columns which are being used as uuid
* Sync with latest oslo-incubator
* Fix testing of agent manager with tooz
* Remove deprecated Swift middleware
* add DNS events
* Handle database failures on api startup
* Fix more tests on Python 3
* Switch to using pbr's autodoc capability
* Remove old oslo.messaging aliases
* Remove useless versioninfo and clean ceilometer.conf git exclusion
* Register oslo_log options before using them
* Add running functional scripts for defined backend
* Remove snapshot.update events as they are not sent
* WSME version >=0.7 correctly returns a 405
* TraitText value restricted to max length 255
* Cause gabbi to skip on no storage sooner
* Updated from global requirements
* Move eventlet using commands into own directory
* adjust alarm post ut code to adapt to upstream wsme
* Disable rgw pollster when aws module not found
* Fixes DiskInfoPollster AttributeError exception
* remove useless log message
* use oslo.log instead of oslo-incubator code
* Port test_inspector to Python 3
* Fix usage of dictionary methods on Python 3
* Imported Translations from Transifex
* Add oslo.vmware to Python 3 test dependencies
* Optionally create trust for alarm actions
* Remove iso8601 dependency
* Enable test_swift_middleware on Python 3
* Enable more tests on Python 3
* Skip hbase tests on Python 3
* Clear useless exclude from flake8 ignore in tox
* Remove pagination code
* Stop importing print_function
* Remove useless release script in tools
* Remove useless dependency on posix_ipc
* Remove exceute bit on HTTP dispatcher
* Remove oslo.messaging compat from Havana
* Fixing event types pattern for Role Noti. handler
* Mask database.event_connection details in logs
* Switch from MySQL-python to PyMySQL
* Python 3: replace long with int
* Python 3: Replace unicode with six.text_type
* Python 3: generalize the usage of the six module
* Update Python 3 requirements
* Python 3: set __bool__() method on Namespace
* Python 3: encode to UTF-8 when needed
* Python 3: sort tables by their full name
* Python 3: replace sys.maxint with sys.maxsize
* Initial commit for functional tests
* Update a test to properly anticipate HTTP 405 for RestController
* proposal to add Chris Dent to Ceilometer core
* rebuild event model only for database writes
* cleanup problem events logic in event db storage
* fix incorrect docstring for dispatcher
* Imported Translations from Transifex
* api: record severity change in alarm history
* VMware: verify vCenter server certificate
* Add hardware memory buffer and cache metrics
* Make interval optional in pipeline
* Improve ceilometer-api install documentation
* empty non-string values are returned as string traits
* Trait_* models have incorrect type for key
* small change to development.rst file
* Drop use of 'oslo' namespace package
* [unittests] Increase agent module unittests coverage
* stop mocking os.path in test_setup_events_default_config
* Remove py33 tox target
* made change to mod_wsgi.rst file
* ensure collections created on upgrade
* Fix raise error when run "tox -egenconfig"
* Updated from global requirements
* Fix None TypeError in neutron process notifications

2015.1.0
--------

* Have eventlet monkeypatch the time module
* Have eventlet monkeypatch the time module
* Add the function of deleting alarm history
* Updated from global requirements
* Fix valueerror when ceilometer-api start
* Override gnocchi_url configuration in test
* Move ceilometer/cli.py to ceilometer/cmd/sample.py
* Fix valueerror when ceilometer-api start
* remove deprecated partitioned alarm service
* use message id to generate hbase unique key
* gnocchi: fix typo in the aggregation endpoint
* Release Import of Translations from Transifex
* Fix Copyright date in docs
* Replace 'metrics' with 'meters' in option and doc
* use message id to generate hbase unique key
* update .gitreview for stable/kilo
* gnocchi: fix typo in the aggregation endpoint
* broadcast data to relevant queues only
* Imported Translations from Transifex
* fix combination alarm with operator == 'or'
* Updated from global requirements

2015.1.0rc1
-----------

* proposal to add ZhiQiang Fan to Ceilometer core
* Open Liberty development
* Fix a samples xfail test that now succeeds
* Cosmetic changes for system architecture docs
* Fix a issue for kafka-publisher and refactor the test code
* pymongo 3.0 breaks ci gate
* use oslo.messaging dispatch filter
* Further mock adjustments to deal with intermittent failure
* Adds support for default rule in ceilometer policy.json
* Updated from global requirements
* limit alarm actions
* Use oslo_vmware instead of deprecated oslo.vmware
* Remove 'samples:groupby' from the Capabilities list
* Use old name of 'hardware.ipmi.node.temperature'
* Revert "remove instance:<flavor> meter"
* Tweak authenticate event definition
* Add project and domain ID to event definition for identity CRUD
* Fix the event type for trusts
* reset croniter to avoid cur time shift
* Imported Translations from Transifex
* Avoid a error when py27 and py-mysql tests run in sequence
* Stop using PYTHONHASHSEED=0 in ceilometer tests
* remove instance:<flavor> meter
* Added ipv6 support for udp publisher
* Remove the unnecessary dependency to netaddr
* Optimize the flow of getting pollster resources
* support ability to skip message signing
* Avoid conflict with existing gnocchi_url conf value
* Using oslo.db retry decorator for sample create
* alarm: Use new gnocchi aggregation API
* collector: enable the service to listen on IPv6
* minimise the use of hmac
* Typo in pylintrc
* Ceilometer retrieve all images by 'all-tenants'
* fix incorrect key check in swift notifications
* support disabling profiler and http meters
* ensure collections created on upgrade
* Fix common misspellings
* Updated from global requirements
* refuse to post sample which is not supported
* Enable collector to requeue samples when enabled
* drop deprecated novaclient.v1_1
* exclude precise metaquery in query field

2015.1.0b3
----------

* Imported Translations from Transifex
* remove log message when process notification
* Add gabbi tests for resources
* Fix typos and format in docstrings in http dispatcher
* add ability to dispatch events to http target
* doc: fix class name
* add ability to publish to multiple topics
* make field and value attributes mandatory in API Query
* Fix db2 upgrade in multi-thread run issue
* Add memory.resident libvirt meter for Ceilometer
* Update reference
* Check the namespaces duplication for ceilometer-polling
* Add gabbi tests to explore the Meter and MetersControllers
* Imported Translations from Transifex
* mysql doesn't understand intersect
* order traits returned within events
* add network, kv-store, and http events
* Add support for additional identity events
* Add a Kafka publisher as a Ceilometer publisher
* Fix response POST /v2/meters/(meter_name) to 201 status
* Attempt to set user_id for identity events
* Switch to oslo.policy 0.3.0
* normalise timestamp in query
* Add more power and thermal data
* Updated from global requirements
* Fix formatting error in licence
* Added option to allow sample expiration more frequently
* add option to store raw notification
* use mongodb distinct
* remove event_types ordering assumption
* Add gabbi tests to cover the SamplesController
* api: fix alarm creation if time_constraint is null
* fix log message format in event.storage.impl_sqlalchemy
* Remove duplications from docco
* Tidy up clean-samples.yaml
* Fix a few typos in the docs
* use default trait type in event list query
* fix wrong string format in libvirt inspector
* create a developer section and refactor
* Do not default pecan_debug to CONF.debug
* Adding Gabbi Tests to Events API
* fix config opts in objectstore.rgw
* Updated from global requirements
* support time to live on event database for sql backend
* add an option to disable non-metric meters
* add missing objectstore entry points
* Initial gabbi testing for alarms
* reorganise architecture page
* Add ceph object storage meters
* Use oslo_config choices support
* fix inline multiple assignment
* alarming: add gnocchi alarm rules
* Protect agent startup from import errors in plugins
* Revert "Add ceph object storage meters"
* api: move alarm rules into they directory
* compress events notes
* Destroy fixture database after each gabbi TestSuite
* Fix unittests for supporting py-pgsql env
* Adding links API and CLI query examples
* correct column types in events
* Be explicit about using /tmp for temporary datafiles
* Patch for fixing hardware.memory.used metric
* Add ceph object storage meters
* [PostgreSQL] Fix regexp operator
* Add clean_exit for py-pgsql unit tests
* modify events sql schema to reduce empty columns
* Remove duplicated resource when pollster polling
* check metering_connection attribute by default
* unicode error in event converter
* cleanup measurements page
* api: add missing combination_rule field in sample
* Fix test case of self-disabled pollster
* update event architecture diagram
* use configured max_retries and retry_interval for database connection
* Updated from global requirements
* Making utilization the default spelling
* Add Disk Meters for ceilometer
* correctly leave group when process is stopped
* Updated from global requirements
* enable oslo namespace check for ceilometer project
* Add doc for version list API
* Enabling self-disabled pollster
* Use werkzeug to run the developement API server
* Imported Translations from Transifex
* switch to oslo_serialization
* move non-essential libs to test-requirements
* Validate default values in config
* fix the value of query_spec.maxSample to advoid to be zero
* clean up to use common service code
* Add more sql test scenarios
* [SQLalchemy] Add regex to complex queries
* Fix duplication in sinks names
* metering data ttl sql backend breaks resource metadata
* Refactor unit test code for disk pollsters
* start recording error notifications
* Remove no_resource hack for IPMI pollster
* Add local node resource for IPMI pollsters
* Use stevedore to load alarm rules api
* [MongoDB] Add regex to complex queries
* Imported Translations from Transifex
* support time to live on event database for MongoDB

2015.1.0b2
----------

* split api.controllers.v2
* add elasticsearch events db
* use debug value for pecan_debug default
* Shuffle agents to send request
* Updated from global requirements
* Adds disk iops metrics implementation in Hyper-V Inspector
* discovery: allow to discover all endpoints
* Declarative HTTP testing for the Ceilometer API
* add listener to pick up notification from ceilometermiddleware
* Drop deprecated namespace for oslo.rootwrap
* remove empty module tests.collector
* Add disk latency metrics implementation in Hyper-V Inspector
* add event listener to collector
* add notifier publisher for events
* enable event pipeline
* Imported Translations from Transifex
* deprecate swift middleware
* sync oslo and bring in versionutils
* Expose alarm severity in Alarm Model
* Hyper-V: Adds memory metrics implementation
* Remove mox from requirements
* Fix IPMI unit test to cover different platforms
* adjust import group order in db2 ut code
* add event pipeline
* remove unexistent module from doc/source/conf.py
* Upgrade to hacking 0.10
* Remove the Nova notifier
* Remove argparse from requirements
* [MongoDB] Improves get_meter_statistics method
* Fix docs repeating measuring units
* [DB2 nosql] Create TIMESTAMP type index for 'timestamp' field
* remove pytidylib and netifaces from tox.ini external dependency
* Avoid unnecessary API dependency on tooz & ceilometerclient
* Correct name of "ipmi" options group
* Fix Opencontrail pollster according the API changes
* enable tests.storage.test_impl_mongodb
* Remove lockfile from requirements
* Disable eventlet monkey-patching of DNS
* Expose vm's metadata to metrics
* Adding build folders & sorting gitignore
* Disable proxy in unit test case of test_bin
* Add Event and Trait API to document
* Refactor ipmi agent manager
* Use alarm's evaluation periods in sufficient test
* Use oslo_config instead of deprecated oslo.config
* Avoid executing ipmitool in IPMI unit test
* Updated from global requirements
* Add a direct to database publisher
* Fixed MagnetoDB metrics title
* Imported Translations from Transifex
* Fix incorrect test case name in test_net.py
* Updated from global requirements
* notification agent missing CONF option
* switch to oslo_i18n
* Use right function to create extension list for agent test
* Imported Translations from Transifex
* Add an exchange for Zaqar in profiler notification plugin
* Remove unused pecan configuration options
* Updated from global requirements
* Use oslo_utils instead of deprecated oslo.utils
* Match the meter names for network services
* stop using private timeutils attribute
* Update measurement docs for network services
* Catch exception when evaluate single alarm
* Return a meaningful value or raise an excpetion for libvirt
* Imported Translations from Transifex
* make transformers optional in pipeline
* Added metering for magnetodb
* Add release notes URL for Juno
* Fix release notes URL for Icehouse
* remove unnecessary str method when log messages
* Revert "Remove Sphinx from py33 requirements"
* untie pipeline manager from samples
* reset listeners on agent refresh
* Remove inspect_instances method from virt
* Optimize resource list query
* Synchronize Python 3 requirements
* Remove unnecessary import_opt|group
* Add test data generator via oslo messaging
* Check to skip to poll and publish when no resource
* Add oslo.concurrency module to tox --env genconfig
* add glance events
* add cinder events
* Manual update from global requirements
* Add cmd.polling.CLI_OPTS to option list
* Ignore ceilometer.conf
* Switch to oslo.context library

2015.1.0b1
----------

* Revert "Skip to poll and publish when no resources found"
* Added missing measurements and corrected errors in doc
* Remove Sphinx from py33 requirements
* Clean up bin directory
* Improve tools/make_test_data.sh correctness
* ensure unique pipeline names
* implement notification coordination
* Make methods static where possible (except openstack.common)
* Fix docs to suit merged compute/central agents concept
* Drop anyjson
* Move central agent code to the polling agent module
* RBAC Support for Ceilometer API Implementation
* [SQLalchemy] Add groupby ability resource_metadata
* Improve links in config docs
* Make LBaaS total_connections cumulative
* remove useless looping in pipeline
* Encompassing one source pollsters with common context
* Modify tests to support ordering of wsme types
* Make compute discovery pollster-based, not agent-level
* Add docs about volume/snapshot measurements
* Port to graduated library oslo.i18n
* Retry to connect database when DB2 or mongodb is restarted
* Updated from global requirements
* Standardize timestamp fields of ceilometer API
* Workflow documentation is now in infra-manual
* Add alarm_name field to alarm notification
* Updated from global requirements
* Rely on VM UUID to fetch metrics in libvirt
* Imported Translations from Transifex
* Initializing a longer resource id in DB2 nosql backend
* Sync oslo-incubator code to latest
* ensure unique list of consumers created
* fix import oslo.concurrency issue
* Add some rally scenarios
* Do not print snmpd password in logs
* Miniscule typo in metering_connection help string
* add http dispatcher
* [MongoDB] Add groupby ability on resource_metadata
* [MongoDB] Fix bug with 'bad' chars in metadatas keys
* Override retry_interval in MongoAutoReconnectTest
* Exclude tools/lintstack.head.py for pep8 check
* Add encoding of rows and qualifiers in impl_hbase
* Database.max_retries only override on sqlalchemy side
* Support to capture network services notifications
* Internal error with period overflow
* Remove Python 2.6 classifier
* Enable pep8 on ./tools directory
* Imported Translations from Transifex
* Fixes Hyper-V Inspector disk metrics cache issue
* fix swift middleware parsing
* Fix order of arguments in assertEqual
* Updated from global requirements
* Adapting pylint runner to the new message format
* Validate AdvEnum & return an InvalidInput on error
* add sahara and heat events
* add keystone events to definitions
* Add timeout to all http requests
* [MongoDB] Refactor time to live feature
* transform samples only when transformers exist
* Updated from global requirements
* Remove module not really used by Ceilometer
* Switch to oslo.concurrency
* Skip to poll and publish when no resources found
* Change event type for identity trust notifications
* Add mysql and postgresql in tox for debug env
* Add new notifications types for volumes/snapshots
* Add encoding to keys in compute_signature
* Tests for system and network aggregate pollsters
* Add bandwidth to measurements
* Fix wrong example of capabilities
* Correct the mongodb_replica_set option's description
* Alarms listing based on "timestamp"
* Use 'pg_ctl' utility to start and stop database
* Correct alarm timestamp field in unittest code
* Refactor kwapi unit test
* Remove duplicated config doc
* VMware: Enable VMware inspector to support any port
* Clean event method difinition in meter storage base
* Fix some nits or typos found by chance
* Add Sample ReST API path in webapi document
* Enable filter alarms by their type
* Fix storage.hbase.util.prepare_key() for 32-bits system
* Add event storage for test_hbase_table_utils
* Add per device rate metrics for instances
* Fix hacking rule H305 imports not grouped correctly
* Add __repr__ method for sample.Sample
* remove ordereddict requirement
* Improve manual.rst file
* Imported Translations from Transifex
* Fix columns migrating for PostgreSQL
* Updated from global requirements
* Updated from global requirements
* [MongoDB] Fix bug with reconnection to new master node
* Updated from global requirements
* support request-id
* Update coverage job to references correct file
* remove reference to model in migration
* Use oslo_debug_helper and remove our own version
* Allow collector service database connection retry
* refresh ceilometer architecture documentation
* Edits assert methods
* Adds memory stats meter to libvirt inspector
* Edits assert methods
* Edits assert methods
* Edits assert methods
* Edits assert method
* Imported Translations from Transifex
* Imported Translations from Transifex
* Updated from global requirements
* add script to generate test event data
* Handle poorly formed individual sensor readings
* refactor hbase storage code
* Avoid clobbering existing class definition
* Hoist duplicated AlarmService initialization to super
* Clarify deprecation comment to be accurate
* Work toward Python 3.4 support and testing

2014.2
------

* Fix recording failure for system pollster
* sync and clean up oslo
* Add missing notification options to the documentation
* Add missing alarm options to the documentation
* Add oslo.db to config generator
* Add missed control exchange options to the documentation
* Add coordination related options to the documentation
* Add missing collector options to the documentation
* switch to oslo-config-generator
* Edit docs for docs.opentack.org/developer/
* Add oslo.db to config generator
* Fix signature validation failure when using qpid message queue
* clean capabilities
* move db2 and mongo driver to event tree
* move sql event driver to event tree
* move hbase event driver to event tree
* Sets default encoding for PostgreSQL testing
* update database dispatcher to use events db
* Add role assignment notifications for identity
* add mailmap to avoid dup of authors
* Add user_metadata to network samples
* Fix recording failure for system pollster

2014.2.rc2
----------

* Manually updated translations
* Updated from global requirements
* Creates one database per sql test
* Adds pylint check for critical error in new patches
* Fix neutron client to catch 404 exceptions
* Fix OrderedDict usage for Python 2.6
* Include a 'node' key and value in ipmi metadata
* clean path in swift middleware
* Implement redesigned separator in names of columns in HBase
* [HBase] Add migration script for new row separate design
* Imported Translations from Transifex
* Include a 'node' key and value in ipmi metadata
* Updated from global requirements
* Run unit tests against PostgreSQL
* create skeleton files for event storage backends
* Imported Translations from Transifex
* isolate event storage models
* Fix neutron client to catch 404 exceptions
* Run unit tests against MySQL
* Updated from global requirements
* Correct JSON-based query examples in documentation
* Open Kilo development
* Add cfg.CONF.import_group for service_credentials
* Fix OrderedDict usage for Python 2.6
* clean path in swift middleware

2014.2.rc1
----------

* Partition static resources defined in pipeline.yaml
* Per-source separation of static resources & discovery
* dbsync: Acknowledge 'metering_connection' option
* Fix bug in the documentation
* Use oslo.msg retry API in rpc publisher
* Describe API versions
* Change compute agent recurring logs from INFO to DEBUG
* Fix bug with wrong bool opt value interpolation
* [HBase] Improves speed of unit tests on real HBase backend
* Imported Translations from Transifex
* Removed unused abc meta class
* update references to auth_token middleware
* clean up swift middleware to avoid unicode errors
* [HBase] Catch AlreadyExists error in Connection upgrade
* Use None instead of mutables in method params default values
* Updated from global requirements
* Enable to get service types from configuration file
* test db2 driver code
* Docs: Add description of pipeline discovery section
* Typo "possibilites" should be "possibilities"
* Modified docs to update DevStack's config filename
* Add an API configuration section to docs
* Tune up mod_wsgi settings in example configuration
* Allow pecan debug middleware to be turned off
* Provide __repr__ for SampleFilter
* Eliminate unnecessary search for test cases
* Switch to a custom NotImplementedError
* minimise ceilometer memory usage
* Partition swift pollster resources by tenant
* Add IPMI pollster
* Add IPMI support
* Stop using intersphinx
* Use central agent manager's keystone token in discoveries
* Handle invalid JSON filters from the input gracefully
* Sync jsonutils for namedtuple_as_object fix
* ceilometer spamming syslog
* Timestamp bounds need not be tight (per ceilometer 1288372)
* Allow to pass dict from resource discovery
* fix network discovery meters
* switch to sqlalchemy core
* Imported Translations from Transifex
* Improve the timestamp validation of ceilometer API
* Update docs with Sahara notifications configuration
* Migrate the rest of the central agent pollsters to use discoveries
* Add documentation for implemented identity meters
* Fix tests with testtools>=0.9.39
* Document the standard for PaaS service notifications
* Returns 401 when unauthorized project access occurs
* Adding another set of hardware metrics
* normalise resource data

2014.2.b3
---------

* warn against sorting requirements
* Add validate alarm_actions schema in alarm API
* Fix help strings
* Imported Translations from Transifex
* Switch partitioned alarm evaluation to a hash-based approach
* Central agent work-load partitioning
* collector: Allows to requeue a sample
* Typo fixed
* Switch to oslo.serialization
* Document pipeline publishers configuration
* Alarm: Use stevedore to load the service class
* Enhance compute diskio tests to handle multi instance
* Adding comparison operators in query for event traits
* XenAPI support: Update measurements documentation
* update requirements
* add documentation for setting up api pipeline
* Permit usage of notifications for metering
* XenAPI support: Disk rates
* XenAPI support: Changes for networking metrics
* XenAPI support: Memory Usage
* XenAPI support: Changes for cpu_util
* XenAPI support: List the instances
* Rebase hardware pollsters to use new inspector interface
* Switch to use oslo.db
* Remove oslo middleware
* Adding quotas on alarms
* Add an exchange for Trove in profiler notification plugin
* Simplify chained comparisons
* In-code comments should start with `#`, not with `"""`
* Remove redundant parentheses
* skip polls if service is not registered
* re-add hashseed to avoid gate error
* Switch to oslo.utils
* Switch to oslotest
* Handle sqlalchemy connection strings with drivers
* Rewrite list creation as a list literal
* Rewrite dictionary creation as a dictionary literal
* Triple double-quoted strings should be used for docstrings
* Add upgrading alarm storage in dbsync
* Improving of configuration.rst
* Fix typos in transformer docstrings
* Update tox.ini pep8 config to ignore i18n functions
* Added new hardware inspector interface
* compute: fix wrong test assertion
* sync olso-incubator code
* VMware: Support secret host_password option
* refactor filter code in sql backend
* Support for per disk volume measurements
* Use a FakeRequest object to test middleware
* Imported Translations from Transifex
* Improve api_paste_config file searching
* [Hbase] Add column for source filter in _get_meter_samples
* Issue one SQL statement per execute() call
* Allow tests to run outside tox
* [HBase] Refactor hbase.utils
* Set page size when Glance API request is called
* Adding init into tools folder
* Enhancing the make_test_data script
* correct DB2 installation supported features documentation
* Avoid duplication of discovery for multi-sink sources
* Improve performance of libvirt inspector requests
* Documented Stevedore usage and source details
* Add notifications for identity authenticate events
* Add message translate module in vmware inspector
* Handle Cinder attach and detach notifications
* [HBase] Improve uniqueness for row in meter table
* Doc enhancement for API service deployment with mod_wsgi
* Update documentation for new transformer
* Add the arithmetic transformer endpoint to setup.cfg
* Imported Translations from Transifex
* Fix unit for vpn connection metric
* Debug env for tox
* Change spelling mistakes
* Use auth_token from keystonemiddleware
* Fix dict and set order related issues in tests
* Fix listener for update.start notifications
* Sahara integration with Ceilometer
* Add notifications for identity CRUD events
* Extracting make_resource_metadata method
* Fix make_test_data tools script
* Add cumulative and gauge to aggregator transformer
* Enable some tests against py33
* Remove --tmpdir from mktemp
* Replace dict.iteritems() with six.iteritems(dict)
* Replace iterator.next() with next(iterator)
* Fix aggregator flush method
* Automatic discovery of TripleO Overcloud hardware
* Set python hash seed to 0 in tox.ini
* Don't override the original notification message
* Remove ConnectionProxy temporary class
* Move sqlalchemy alarms driver code to alarm tree
* basestring replaced with six.string_types
* Correct misspelled words

2014.2.b2
---------

* Add retry function for alarm REST notifier
* Move hbase alarms driver code to alarm tree
* Update measurement docs for FWaaS
* Update measurement docs for VPNaaS
* Follow up fixes to network services pollsters
* Updated from global requirements
* Implement consuming ipmi notifications from Ironic
* Support for metering FWaaS
* Adds Content-Type to alarm REST notifier
* Multi meter arithmetic transformer
* Remove redudent space in doc string
* Use None instead of mutables in test method params defaults
* Add support for metering VPNaaS
* Use resource discovery for Network Services
* Change of get_events and get_traits method in MongoDB and Hbase
* Fix two out-dated links in doc
* Move log alarms driver code to alarm tree
* Separate the console scripts
* clean up event model
* improve expirer performance for sql backend
* Move mongodb/db2 alarms driver code to alarm tree
* Allow to have different DB for alarm and metering
* Replace datetime of time_constraints by aware object
* Sync oslo log module and its dependencies
* Use hmac.compare_digest to compare signature
* Add testcase for multiple discovery-driven sources
* Fixes aggregator transformer timestamp and user input handling
* Improves pipeline transformer documentation
* Fix incorrect use of timestamp in test
* Add keystone control exchange
* Fix call to meter-list in measurements doc
* Remove redundant parentheses
* [Mongodb] Implement events on Mongodb and DB2
* Fix typos in code comments & docstrings
* Make the error message of alarm-not-found clear
* Fix SQL exception getting statitics with metaquery
* Remove docutils pin
* update default_log_levels set by ceilometer
* Fix annoying typo in partition coordinator test
* Transform sample_cnt type to int
* Remove useless sources.json
* Fix H405 violations and re-enable gating
* Fix H904 violations and re-enable gating
* Fix H307 violations and re-enable gating
* Fix the section name in CONTRIBUTING.rst
* Added osprofiler notifications plugin
* Improve a bit performance of Ceilometer
* Revert "Align to openstack python package index mirror"
* Fix aggregator _get_unique_key method
* Remove meter hardware.network.bandwidth.bytes
* Fix F402 violations and re-enable gating
* Fix E265 violations and re-enable gating
* Fix E251 violations and re-enable gating
* Fix E128 violations and re-enable gating
* Fix E126,H104 violations and re-enable gating
* Bump hacking to 0.9.x
* Fixed various import issues exposed by unittest
* use urlparse from six
* clean up sample index
* Fix HBase available capabilities list
* Updated from global requirements
* VMware:Update the ceilometer doc with VMware opts
* Handle non-ascii character in meter name
* Add log output of "x-openstack-request-id" from nova
* Imported Translations from Transifex
* fix StringIO errors in unit test
* Fix hacking rule 302 and enable it
* Imported Translations from Transifex
* sync oslo code
* Fixes ceilometer-compute service start failure
* Reenables the testr per test timeout
* Avoid reading real config files in unit test
* Clean up oslo.middleware.{audit,notifier}
* Use hacking from test-requirements
* Splits hbase storage code base
* Splits mongo storage code base
* Separate alarm storage models from other models
* Iterates swift response earlier to get the correct status
* Fix messaging.get_transport caching
* Fix method mocked in a test
* Don't keep a single global TRANSPORT object
* Clean up .gitignore
* Fix Sphinx directive name in session.py
* Fix list of modules not included in auto-gen docs
* Downgrade publisher logging to debug level again

2014.2.b1
---------

* remove default=None for config options
* [HBase] get_resource optimization
* Fix incorrect trait initialization
* Remove unused logging in tests
* Revert "Fix the floatingip pollster"
* Remove low-value logging from publication codepath
* Fix LBaaS connection meter docs
* Fix the meter type for LB Bytes
* Adding alarm list filtering by state and meter
* Adds caches for image and flavor in compute agent
* [HBase] Implement events on HBase
* Skipping central agent pollster when keystone not available
* Respect $TMPDIR environment variable to run tests
* Fixed unit test TestRealNotification
* Update Measurement Docs for LBaaS
* Metering LoadBalancer as a Service
* Removes per test testr timeout
* Change pipeline_manager to instance attribute in hooks
* Change using of limit argument in get_sample
* Refactor tests to remove direct access to test DBManagers
* Fix notification for NotImplemented record_events
* Add missing explicit cfg option import
* Fix ceilometer.alarm.notifier.trust import
* Use TYPE_GAUGE rather than TYPE_CUMULATIVE
* Update doc for sample config file issue
* Corrects a flaw in the treatment of swift endpoints
* use LOG instead of logger as name for the Logger object
* Fix doc gate job false success
* Improve performance of api requests with hbase scan
* Add new 'storage': {'production_ready': True} capability
* Clean tox.ini
* Remove (c) and remove unnecessary encoding lines
* Fix testing gate due to new keystoneclient release
* Ignore the generated file ceilometer.conf.sample
* Update the copyright date in doc
* Updated from global requirements
* reconnect to mongodb on connection failure
* refactor sql backend to improve write speed
* Don't rely on oslomsg configuration options
* replaced unicode() with six.text_type()
* Synced jsonutils from oslo-incubator
* Fix the floatingip pollster
* Fix project authorization check
* Update testrepository configuration
* Implemented metering for Cinder's snapshots
* Use joins instead of subqueries for metadata filtering
* Use None instead of mutables in method params defaults
* Remove all mostly untranslated PO files
* switch SplitResult to use six
* Remove unused db code due to api v1 drop
* Updated from global requirements
* oslo.messaging context must be a dict
* Drop deprecated api v1
* Fix network notifications of neutron bulk creation
* mongo: remove _id in inserted alarm changes
* Clean up openstack-common.conf
* Revert "oslo.messaging context must be a dict"
* Correct class when stopping partitioned alarm eval svc
* oslo.messaging context must be a dict
* Corrections of spelling, rephrasing for clarity
* Adapt failing tests for latest wsme version
* Removed StorageEngine class and it's hierarchy
* Correcting formatting and adding period in measurement doc
* Initialize dispatcher manager in event endpoint
* Replaced CONF object with url in storage engine creation
* Synced jsonutils from oslo-incubator
* Remove gettextutils._ imports where they are not used
* Remove "# noqa" leftovers for gettextutils._
* transformer: Add aggregator transformer
* Remove conversion debug message
* Fix the return of statistic with getting no sample
* Remove eventlet.sleep(0) in collector tests
* Don't allow queries with 'IN' predicate with an empty sequence
* Check if samples returned by get_sample_data are not None
* Opencontrail network statistics driver
* Add a alarm notification using trusts
* Replace hard coded WSGI application creation
* Describe storage backends in the collector installation guide
* Made get_capabilities a classmethod instead of object method
* Disable reverse dns lookup
* Consume notif. from multiple message bus
* Use NotificationPlugin as an oslo.msg endpoint
* Improve combination rule validation
* Remove ceilometer.conf.sample
* Use known protocol scheme in keystone tests
* cleanup virt pollster code
* Add encoding argument to deserialising udp packets in collector
* Made get_engine method module-private
* Make entities (Resource, User, Project) able to store lists
* Remove duplicate alarm from alarm_ids
* More accurate meter name and unit for host load averages
* Replace oslo.rpc by oslo.messaging
* Fix a response header bug in the error middleware
* Remove unnecessary escape character in string format
* Optimize checks to set image properties in metadata
* fix statistics query in postgres
* Removed useless code from __init__ method
* Refactored fake connection URL classes
* Replace assert statements with assert methods
* Removes direct access of timeutils.override_time
* Disable specifying alarm itself in combination rule
* Include instance state in metadata
* Allowed nested resource metadata in POST'd samples
* Sync oslo-incubator code
* Updated from global requirements
* Refactor the DB implementation of Capabilities API
* Fix Jenkins translation jobs
* Align to openstack python package index mirror
* User a more accurate max_delay for reconnects
* Open Juno development

2014.1.rc1
----------

* Imported Translations from Transifex
* Add note on aggregate duplication to API docco
* Use ConectionPool instead of one Connection in HBase
* remove dump tables from previous migrations
* De-dupe selectable aggregate list in statistics API
* ensure dispatcher service is configured before rpc
* improve performance of resource-list in sql
* SSL errors thrown with Postgres on multi workers
* Remove escape character in string format
* Verify user/project ID for alarm created by non-admin user
* enable a single worker by default
* Fix ceilometer.conf.sample mismatch
* Metadata in compute.instance.exists fix
* Fix order of arguments in assertEquals
* Documenting hypervisor support for nova meters
* Ensure idempotency of cardinality reduction in mongo
* VMware vSphere: Improve the accuracy of queried samples
* Use swob instead of webob in swift unit tests
* Disable oslo.messaging debug logs
* Fix validation error for invalid field name in simple query
* fix create_or_update logic to avoid rollbacks
* Avoid swallowing AssertionError in test skipping logic
* Fix hardware pollster to inspect multiple resources
* spawn multiple workers in services
* Install global lazy _()
* Fixes Hyper-V metrics units
* Ensure intended indices on project_id are created for mongo
* Fix the type of the disk IO rate measurements
* Change the sample_type from tuple to string
* Fix order of arguments in assertEquals
* Ensure alarm rule conform to alarm type
* insecure flag added to novaclient
* Fixes duplicated names in alarm time constraints
* Use the list when get information from libvirt
* Eventlet monkeypatch must be done before anything
* 028 migration script incorrectly skips over section
* Fix bug in get_capabilities behavior in DB drivers
* Added documentation for selectable aggregates
* Make sure use IPv6 sockets for ceilometer in IPv6 environment
* VMware vSphere: Bug fixes
* Ensure insecure config option propagated by alarm evaluator
* Fix order of arguments in assertEquals
* Fix order of arguments in assertEquals
* Fix order of arguments in assertEquals
* Rationalize get_resources for mongodb
* Ensure insecure config option propagated by alarm service
* add host meters to doc
* Add field translation to complex query from OldSample to Sample
* Extend test case to cover old alarm style conversion
* Updated doc with debug instructions
* Refactored the way how testscenarios tests are run
* Corrected the sample names in hardware pollsters
* Prevent alarm_id in query field of getting history
* Make ceilometer work with sqla 0.9.x
* Implements monitoring-network-from-opendaylight
* Add user-supplied arguments in log_handler
* VMware vSphere support: Disk rates
* Fix updating alarm can specify existing alarm name
* Changes for networking metrics support for vSphere
* VMware vSphere: Changes for cpu_util
* VMware vSphere support: Memory Usage
* Fix broken statistics in sqlalchemy
* Fixes Hyper-V Inspector network metrics values
* Set storage engine for the trait_type table
* Enable monkeypatch for select module
* Rename id to alarm_id of Alarm in SqlAlchemy
* Fix some spelling mistakes and a incorrect url
* Skip central agent interval_task when keystone fails

2014.1.b3
---------

* Ensure user metadata mapped for instance notifications
* Per pipeline pluggable resource discovery
* Wider selection of aggregates for sqlalchemy
* Wider selection of aggregates for mongodb
* Adds time constraints to alarms
* Remove code duplication Part 3
* Decouple source and sink configuration for pipelines
* Selectable aggregate support in mongodb
* Selectable aggregation functions for statistics
* Add simple capabilities API
* Removed global state modification by api test
* VMware vSphere support: Performance Mgr APIs
* Fix typo
* move databases to test requirements
* Make recording and scanning data more determined
* Implements "not" operator for complex query
* Implements metadata query for complex query feature
* Alarms support in HBase Part 2
* Alarm support in HBase Part 1
* Remove unused variable
* Added hardware pollsters for the central agent
* Added hardware agent's inspector and snmp implementation
* Updated from global requirements
* Pluggable resource discovery for agents
* Remove code duplication Part 2
* Imported Translations from Transifex
* remove audit logging on flush
* Tolerate absent recorded_at on older mongo/db2 samples
* api: export recorded_at in returned samples
* Fix the way how metadata is stored in HBase
* Set default log level of iso8601 to WARN
* Sync latest config file generator from oslo-incubator
* Fix typo on testing doc page
* Remove code duplication
* sample table contains redundant/duplicate data
* rename meter table to sample
* storage: store recording timestamp
* Fixed spelling error in Ceilometer
* Adds doc string to query validate functions in V2 API
* Updated from global requirements
* Remove code that works around a (now-resolved) bug in pecan
* Fix missing source field content on /v2/samples API
* Refactor timestamp existence validation in V2 API
* Use the module units to refer bytes type
* sync units.py from oslo to ceilometer
* Add comments for _build_paginate_query
* Implements monitoring-network
* Handle Heat notifications for stack CRUD
* Alembic migrations not tested
* Modify the discription of combination alarm
* check domain state before inspecting nics/disks
* Adds gettextutils module in converter
* Keep py3.X compatibility for urllib.urlencode
* Added missing import
* Removed useless prints that pollute tests log
* Implements in operator for complex query functionality
* Implements field validation for complex query functionality
* allow hacking to set dependencies
* Implements complex query functionality for alarm history
* Implements complex query functionality for alarms
* Remove None for dict.get()
* Replace assertEqual(None, *) with assertIsNone in tests
* Update notification_driver
* Switch over to oslosphinx
* Fix some flaws in ceilometer docstrings
* Rename Openstack to OpenStack
* Remove start index 0 in range()
* Updated from global requirements
* Remove blank line in docstring
* Use six.moves.urllib.parse instead of urlparse
* Propogate cacert and insecure flags to glanceclient
* Test case for creating an alarm without auth headers
* Refactored run-tests script
* Implements complex query functionality for samples
* fix column name and alignment
* Remove tox locale overrides
* Updated from global requirements
* Adds flavor_id in the nova_notifier
* Improve help strings
* service: re-enable eventlet just for sockets
* Fixes invalid key in Neutron notifications
* Replace BoundedInt with WSME's IntegerType
* Replace 'Ceilometer' by 'Telemetry' in the generated doc
* Doc: Add OldSample to v2.rst
* Fixing some simple documentation typos
* Updated from global requirements
* Fix for a simple typo
* Replace 'a alarm' by 'an alarm'
* Move ceilometer-send-counter to a console script
* sync oslo common code
* Handle engine creation inside of Connection object
* Adds additional details to alarm notifications
* Fix formating of compute-nova measurements table
* Fix string-to-boolean casting in queries
* nova notifier: disable tests + update sample conf
* Update oslo
* Refactored session access
* Fix the py27 failure because of "ephemeral_key_uuid" error
* Correct a misuse of RestController in the Event API
* Fix docs on what an instance meter represents
* Fix measurement docs to correctly represent Existance meters
* samples: fix test case status code check
* Replace non-ascii symbols in docs
* Use swift master
* Add table prefix for unit tests with hbase
* Add documentation for pipeline configuration
* Remove unnecessary code from alarm test
* Updated from global requirements
* Use stevedore's make_test_instance
* use common code for migrations
* Use explicit http error code for api v2
* Clean .gitignore
* Remove unused db engine variable in api
* Revert "Ensure we are not exhausting the sqlalchemy pool"
* eventlet: stop monkey patching
* Update dev docs to include notification-agent
* Change meter_id to meter_name in generated docs
* Correct spelling of logger for dispatcher.file
* Fix some typos in architecture doc
* Drop foreign key contraints of alarm in sqlalchemy
* Re-enable lazy translation
* Sync gettextutils from Oslo
* Fix wrong doc string for meter type
* Fix recursive_keypairs output
* Added abc.ABCMeta metaclass for abstract classes
* Removes use of timeutils.set_time_override

2014.1.b2
---------

* tests: kill all started processes on exit
* Exclude weak datapoints from alarm threshold evaluation
* Move enable_acl and debug config to ceilometer.conf
* Fix the Alarm documentation of Web API V2
* StringIO compatibility for python3
* Set the SQL Float precision
* Convert alarm timestamp to PrecisionTimestamp
* use six.move.xrange replace xrange
* Exit expirer earlier if db-ttl is disabled
* Added resources support in pollster's interface
* Improve consistency of help strings
* assertTrue(isinstance) replace by assertIsInstance
* Return trait type from Event api
* Add new rate-based disk and network pipelines
* Name and unit mapping for rate_of_change transformer
* Update oslo
* Remove dependencies on pep8, pyflakes and flake8
* Implement the /v2/samples/<sample-id> API
* Fix to handle null threshold_rule values
* Use DEFAULT section for dispatcher in doc
* Insertion in HBase should be fixed
* Trivial typo
* Update ceilometer.conf.sample
* Fix use the fact that empty sequences are false
* Remove unused imports
* Replace mongo aggregation with plain ol' map-reduce
* Remove redundant meter (name,type,unit) tuples from Resource model
* Fix work of udp publisher
* tests: pass /dev/null as config for mongod
* requirements: drop netaddr
* tests: allow to skip if no database URL
* Fix to tackle instances without an image assigned
* Check for pep8 E226 and E24
* Fixed spelling mistake
* AlarmChange definition added to doc/source/webapi/v2.rst
* 1st & last sample timestamps in Resource representation
* Avoid false negatives on message signature comparison
* cacert is not picked up correctly by alarm services
* Change endpoint_type parameter
* Utilizes assertIsNone and assertIsNotNone
* Add missing gettextutils import to ceilometer.storage.base
* Remove redundant code in nova_client.Client
* Allow customized reseller_prefix in Ceilometer middleware for Swift
* Fix broken i18n support
* Empty files should no longer contain copyright
* Add Event API
* Ensure we are not exhausting the sqlalchemy pool
* Add new meters for swift
* Sync config generator workaround from oslo
* storage: factorize not implemented methods
* Don't assume alarms are returned in insert order
* Correct env variable in file oslo.config.generator.rc
* Handle the metrics sent by nova notifier
* Add a wadl target to the documentation
* Sync config generator from oslo-incubator
* Convert event timestamp to PrecisionTimestamp
* Add metadata query validation limitation
* Ensure the correct error message is displayed
* Imported Translations from Transifex
* Move sphinxcontrib-httpdomain to test-requirements
* Ensure that the user/project exist on alarm update
* api: raise ClientSideError rather than ValueError
* Implement the /v2/sample API
* service: fix service alive checking
* Oslo sync to recover from db2 server disconnects
* Event Storage Layer
* config: specify a template for mktemp
* test code should be excluded from test coverage summary
* doc: remove note about Nova plugin framework
* doc: fix formatting of alarm action types
* Updated from global requirements
* Add configuration-driven conversion to Events
* add newly added constraints to expire clear_expired_metering_data
* fix unit
* Add import for publisher_rpc option
* add more test cases to improve the test code coverage #5
* Create a shared queue for QPID topic consumers
* Properly reconnect subscribing clients when QPID broker restarts
* Don't need session.flush in context managed by session
* sql migration error in 020_add_metadata_tables

2014.1.b1
---------

* Remove rpc service from agent manager
* Imported Translations from Transifex
* organise requirements files
* Add a Trait Type model and db table
* No module named MySQLdb bug
* Add a note about permissions to ceilometer logging directory
* sync with oslo-incubator
* Rename OpenStack Metering to OpenStack Telemetry
* update docs to adjust for naming change
* Add i18n warpping for all LOG messages
* Imported Translations from Transifex
* Removed unused method in compute agent manger
* connection is not close in migration script
* Fixed a bug in sql migration script 020
* Fixed nova notifier test
* Added resources definition in the pipeline
* Change metadata_int's value field to type bigint
* Avoid intermittent integrity error on alarm creation
* Simplify the dispatcher method prototype
* Use map_method from stevedore 0.12
* Remove the collector submodule
* Move dispatcher a level up
* Split collector
* Add a specialized Event Type model and db table
* Remove old sqlalchemy-migrate workaround
* Revert "Support building wheels (PEP-427)"
* full pep8 compliance (part 2)
* Selectively import RPC backend retry config
* Fixes Hyper-V Inspector disk metrics bug
* Imported Translations from Transifex
* full pep8 compliance (part1)
* Replace mox with mock in alarm,central,image tests
* Stop ignoring H506 errors
* Update hacking for real
* Replace mox with mock in tests.collector
* Replace mox with mock in publisher and pipeline
* Replace mox with mock in novaclient and compute
* Remove useless defined Exception in tests
* Support building wheels (PEP-427)
* Fixes Hyper-V Inspector cpu metrics bug
* Replace mox with mock in tests.storage
* Document user-defined metadata for swift samples
* Replace mox with mock in energy and objectstore
* Updated from global requirements
* Replace mox with mock in tests.api.v2
* Refactor API error handling
* make record_metering_data concurrency safe
* Move tests into ceilometer module
* Replace mox with mock in tests.api.v1
* Replace mox with mock in tests.api.v2.test_compute
* Corrected import order
* Use better predicates from testtools instead of plain assert
* Stop using openstack.common.exception
* Replace mox with mock in tests.network
* Replace mox with mocks in test_inspector
* Fix failing nova_tests tests
* Replace mox with mocks in tests.compute.pollsters
* Add an insecure option for Keystone client
* Sync log from oslo
* Cleanup tests.publisher tests
* mongodb, db2: do not print full URL in logs
* Use wsme ClientSideError to handle unicode string
* Use consistant cache key for swift pollster
* Fix the developer documentation of the alarm API
* Fix the default rpc policy value
* Allow Events without traits to be returned
* Replace tests.base part8
* Replace tests.base part7
* Replace tests.base part6
* Imported Translations from Transifex
* Imported Translations from Transifex
* Sync log_handler from Oslo
* Don't use sqlachemy Metadata as global var
* enable sql metadata query
* Replace tests.base part5
* Replace tests.base part4
* Imported Translations from Transifex
* Updated from global requirements
* Fix doc typo in volume meter description
* Updated from global requirements
* Add source to Resource API object
* compute: virt: Fix Instance creation
* Fix for get_resources with postgresql
* Updated from global requirements
* Add tests when admin set alarm owner to its own
* Replace tests.base part3
* Replace tests.base part2
* Replace tests.base part1
* Fix wrong using of Metadata in 15,16 migrations
* api: update for WSME 0.5b6 compliance
* Changes FakeMemcache to set token to expire on utcnow + 5 mins
* Change test case get_alarm_history_on_create
* Change alarm_history.detail to text type
* Add support for keystoneclient 0.4.0
* Ceilometer has no such project-list subcommand
* Avoid leaking admin-ness into combination alarms
* Updated from global requirements
* Avoid leaking admin-ness into threshold-oriented alarms
* Update Oslo
* Set python-six minimum version
* Ensure combination alarms can be evaluated
* Ensure combination alarm evaluator can be loaded
* Apply six for metaclass
* add more test cases to improve the test code coverage #6
* Update python-ceilometerclient lower bound to 1.0.6
* Imported Translations from Transifex
* add more test cases to improve the test code coverage #4

2013.2.rc1
----------

* db2 does not allow None as a key for user_id in user collection
* Start Icehouse development
* Imported Translations from Transifex
* Disable lazy translation
* Add notifications for alarm changes
* Updated from global requirements
* api: allow alarm creation for others project by admins
* assertEquals is deprecated, use assertEqual
* Imported Translations from Transifex
* update alarm service setup in dev doc
* Add bug number of some wsme issue
* api: remove useless comments
* issue an error log when cannot import libvirt
* add coverage config file to control module coverage report
* tests: fix rounding issue in timestamp comparison
* api: return 404 if a alarm is not found
* remove locals() for stringformat
* add more test cases to improve the test code coverage #3
* Remove extraneous vim configuration comments
* Return 401 when action is not authorized
* api: return 404 if a resource is not found
* keystone client changes in AuthProtocol made our test cases failing
* Don't load into alarms evaluators disabled alarms
* Remove MANIFEST.in
* Allow to get a disabled alarm
* Add example with return values in API v2 docs
* Avoid imposing alembic 6.0 requirement on all distros
* tests: fix places check for timestamp equality
* Don't publish samples if resource_id in missing
* Require oslo.config 1.2.0 final
* Don't send unuseful rpc alarm notification
* service: check that timestamps are almost equals
* Test the response body when deleting a alarm
* Change resource.resource_metadata to text type
* Adding region name to service credentials
* Fail tests early if mongod is not found
* add more test cases to improve the test code coverage #2
* add more test cases to improve the test code coverage #1
* Imported Translations from Transifex
* Replace OpenStack LLC with OpenStack Foundation
* Use built-in print() instead of print statement
* Simple alarm partitioning protocol based on AMQP fanout RPC
* Handle manually mandatory field
* Provide new API endpoint for alarm state
* Implement the combination evaluator
* Add alarm combination API
* Notify with string representation of alarm reason
* Convert BoundedInt value from json into int
* Fix for timestamp precision in SQLAlchemy
* Add source field to Meter model
* Refactor threshold evaluator
* Alarm API update
* Update requirements
* WSME 0.5b5 breaking unit tests
* Fix failed downgrade in migrations
* refactor db2 get_meter_statistics method to support mongodb and db2
* tests: import pipeline config
* Fix a tiny mistake in api doc
* collector-udp: use dispatcher rather than storage
* Imported Translations from Transifex
* Drop sitepackages=False from tox.ini
* Update sphinxcontrib-pecanwsme to 0.3
* Architecture enhancements
* Force MySQL to use InnoDB/utf8
* Update alembic requirement to 0.6.0 version
* Correctly output the sample content in the file publisher
* Pecan assuming meter names are extensions
* Handle inst not found exceptions in pollsters
* Catch exceptions from nova client in poll_and_publish
* doc: fix storage backend features status
* Add timestamp filtering cases in storage tests
* Imported Translations from Transifex
* Use global openstack requirements
* Add group by statistics examples in API v2 docs
* Add docstrings to some methods
* add tests for _query_to_kwargs func
* validate counter_type when posting samples
* Include auth_token middleware in sample config
* Update config generator
* run-tests: fix MongoDB start wait
* Imported Translations from Transifex
* Fix handling of bad paths in Swift middleware
* Drop the *.create.start notification for Neutron
* Make the Swift-related doc more explicit
* Fix to return latest resource metadata
* Update the high level architecture
* Alarm history storage implementation for sqlalchemy
* Improve libvirt vnic parsing with missing mac!
* Handle missing libvirt vnic targets!
* Make type guessing for query args more robust
* add MAINTAINERS file
* nova_notifier: fix tests
* Update openstack.common.policy from oslo-incubator
* Clean-ups related to alarm history patches
* Improved MongoClient pooling to avoid out of connections error
* Disable the pymongo pooling feature for tests
* Fix wrong migrations
* Fixed nova notifier unit test
* Add group by statistics in API v2
* Update to tox 1.6 and setup.py develop
* Add query support to alarm history API
* Reject duplicate events
* Fixes a bug in Kwapi pollster
* alarm api: rename counter_name to meter_name
* Fixes service startup issue on Windows
* Handle volume.resize.* notifications
* Network: process metering reports from Neutron
* Alarm history storage implementation for mongodb
* Fix migration with fkeys
* Fixes two typos in this measurements.rst
* Add a fake UUID to Meter on API level
* Append /usr/sbin:/sbin to the path for searching mongodb
* Plug alarm history logic into the API
* Added upper version boundry for six
* db2 distinct call results are different from mongodb call
* Sync rpc from oslo-incubator
* Imported Translations from Transifex
* Add pagination parameter to the database backends of storage
* Base Alarm history persistence model
* Fix empty metadata issue of instance
* alarm: generate alarm_id in API
* Import middleware from Oslo
* Imported Translations from Transifex
* Adds group by statistics for MongoDB driver
* Fix wrong UniqueConstraint name
* Adds else and TODO in statistics storage tests
* Imported Translations from Transifex
* Extra indexes cleanup
* API FunctionalTest class lacks doc strings
* install manual last few sections format needs to be fixed
* api: update v1 for Flask >= 0.10
* Use system locale when Accept-Language header is not provided
* Adds Hyper-V compute inspector
* missing resource in middleware notification
* Support for wildcard in pipeline
* Refactored storage tests to use testscenarios
* doc: replace GitHub by git.openstack.org
* api: allow usage of resource_metadata in query
* Remove useless doc/requirements
* Fixes non-string metadata query issue
* rpc: reduce sleep time
* Move sqlachemy tests only in test_impl_sqlachemy
* Raise Error when pagination/groupby is missing
* Raise Error when pagination support is missing
* Use timeutils.utcnow in alarm threshold evaluation
* db2 support
* plugin: remove is_enabled
* Doc: improve doc about Nova measurements
* Storing events via dispatchers
* Imported Translations from Transifex
* ceilometer-agent-compute did not catch exception for disk error
* Change counter to sample in network tests
* Change counter to sample in objectstore tests
* Remove no more used code in test_notifier
* Change counter to sample vocable in cm.transformer
* Change counter to sample vocable in cm.publisher
* Change counter to sample vocable in cm.image
* Change counter to sample vocable in cm.compute
* Change counter to sample vocable in cm.energy
* Use samples vocable in cm.publisher.test
* Change counter to sample vocable in volume tests
* Change counter to sample vocable in api tests
* Add the source=None to from_notification
* Make RPCPublisher flush method threadsafe
* Enhance delayed message translation when _ is imported
* Remove use_greenlets argument to MongoClient
* Enable concurrency on nova notifier tests
* Imported Translations from Transifex
* Close database connection for alembic env
* Fix typo in 17738166b91 migration
* Don't call publisher without sample
* message_id is not allowed to be submitted via api
* Api V2 post sample refactoring
* Add SQLAlchemy implementation of groupby
* Fixes failed notification when deleting instance
* Reinitialize pipeline manager for service restart
* Sync gettextutils from oslo-incubator
* Doc: clearly state that one can filter on metadata
* Add HTTP request/reply samples
* Use new olso fixture in CM tests
* Imported Translations from Transifex
* Bump hacking to 0.7.0
* Fix the dict type metadata missing issue
* Raise error when period with negative value
* Imported Translations from Transifex
* Import missing gettext _
* Remove 'counter' occurences in pipeline
* Remove the mongo auth warning during tests
* Change the error message of resource listing in mongodb
* Change test_post_alarm case in test_alarm_scenarios
* Skeletal alarm history API
* Reorg alarms controller to facilitate history API
* Fix Jenkins failed due to missing _
* Fix nova test_notifier wrt new notifier API
* Remove counter occurences from documentation
* Updated from global requirements
* Fixes dict metadata query issue of HBase
* s/alarm/alarm_id/ in alarm notification
* Remove unused abstract class definitions
* Removed unused self.counters in storage test class
* Initial alarming documentation
* Include previous state in alarm notification
* Consume notification from the default queue
* Change meter.resource_metadata column type
* Remove MongoDB TTL support for MongoDB < 2.2
* Add first and last sample timestamp
* Use MongoDB aggregate to get resources list
* Fix resources/meters pagination test
* Handle more Nova and Neutron events
* Add support for API message localization
* Add the alarm id to the rest notifier body
* fix alarm notifier tests
* Sync gettextutils from oslo
* Fix generating coverage on MacOSX
* Use the new nova Instance class
* Return message_id in POSTed samples
* rpc: remove source argument from message conversion
* Remove source as a publisher argument
* Add repeat_actions to alarm
* Rename get_counters to get_samples
* Add pagination support for MongoDB
* Doc: measurements: add doc on Cinder/Swift config
* Update nova_client.py
* objectstore: trivial cleanup in _Base
* Add support for CA authentication in Keystone
* add unit attribute to statistics
* Fix notify method signature on LogAlarmNotifier
* Fix transformer's LOG TypeError
* Update openstack.common
* Fixes Hbase metadata query return wrong result
* Fix Hacking 0.6 warnings
* Make middleware.py Python 2.6 compatible
* Call alembic migrations after sqlalchemy-migrate
* Rename ceilometer.counter to ceilometer.sample
* Added separate MongoDB database for each test
* Relax OpenStack upper capping of client versions
* Refactored MongoDB connection pool to use weakrefs
* Centralized backends tests scenarios in one place
* Added tests to verify that local time is correctly handled
* Refactored impl_mongodb to use full connection url
* calling distinct on _id field against a collection is slow
* Use configured endpoint_type everywhere
* Allow use of local conductor
* Update nova configuration doc to use notify_on_state_change
* doc: how to inject user-defined data
* Add documentation on nova user defined metadata
* Refactored API V2 tests to use testscenarios
* Refactored API V1 tests to use testscenarios
* alarm: Per user setting to disable ssl verify
* alarm: Global setting to disable ssl verification
* Imported Translations from Transifex
* Implementation of the alarm RPCAlarmNotifier
* Always init cfg.CONF before running a test
* Sets storage_conn in CollectorService
* Remove replace/preserve logic from rate of change transformer
* storage: remove per-driver options
* hbase: do not register table_prefix as a global option
* mongodb: do not set replica_set as a global option
* Change nose to testr in the documentation
* Fixed timestamp creation in MongoDB mapreduce
* Ensure url is a string for requests.post
* Implement a https:// in REST alarm notification
* Implement dot in matching_metadata key for mongodb
* trailing slash in url causes 404 error
* Fix missing foreign keys
* Add cleanup migration for indexes
* Sync models with migrations
* Avoid dropping cpu_util for multiple instances
* doc: /statistics fields are not queryable (you cannot filter on them)
* fix resource_metadata failure missing image data
* Standardize on X-Project-Id over X-Tenant-Id
* Default to ctx user/project ID in sample POST API
* Multiple dispatcher enablement
* storage: fix clear/upgrade order
* Lose weight for Ceilometer log in verbose mode
* publisher.rpc: queing policies
* Remove useless mongodb connection pool comment
* Add index for db.meter by descending timestamp
* doc: add a bunch of functional examples for the API
* api: build the storage connection once and for all
* Fix the argument of UnknownArgument exception
* make publisher procedure call configurable
* Disable mongod prealloc, wait for it to start
* Added alembic migrations
* Allow to enable time to live on metering sample
* Implement a basic REST alarm notification
* Imported Translations from Transifex
* Ensure correct return code of run-tests.sh
* File based publisher
* Unset OS_xx variable before generate configuration
* Use run-tests.sh for tox coverage tests
* Emit cpu_util from transformer instead of pollster
* Allow simpler scale exprs in transformer.conversions
* Use a real MongoDB instance to run unit tests
* Allow to specify the endpoint type to use
* Rename README.md to README.rst
* Use correct hostname to get instances
* Provide CPU number as additional metadata
* Remove get_counter_names from the pollster plugins
* Sync SQLAlchemy models with migrations
* Transformer to measure rate of change
* Make sure plugins are named after their meters
* Break up the swift pollsters
* Split up the glance pollsters
* Make visual coding style consistent
* Separate power and energy pollsters
* Break up compute pollsters
* Implement a basic alarm notification service
* Optionally store Events in Collector
* Fix issue with pip installing oslo.config-1.2.0
* Transformer to convert between units
* publisher.rpc: make per counter topic optional
* ceilometer tests need to be enabled/cleaned
* Also accept timeout parameter in FakeMemCache
* Fix MongoDB backward compat wrt units
* Use oslo.sphinx and remove local copy of doc theme
* Reference setuptools and not distribute
* enable v2 api hbase tests
* Register all interesting events
* Unify Counter generation from notifications
* doc: enhance v2 examples
* Update glossary
* Imported Translations from Transifex
* Imported Translations from Transifex
* Filter query op:gt does not work as expected
* sqlalchemy: fix performance issue on get_meters()
* enable v2 api sqlalchemy tests
* Update compute vnic pollster to use cache
* Update compute CPU pollster to use cache
* Update compute disk I/O pollster to use cache
* update Quantum references to Neutron
* Update swift pollster to use cache
* Update kwapi pollster to use cache
* Update floating-ip pollster to use cache
* Update glance pollster to use cache
* Add pollster data cache
* Fix flake8 errors
* Update Oslo
* Enable Ceilometer to support mongodb replication set
* Fix return error when resource can't be found
* Simple service for singleton threshold eval
* Basic alarm threshold evaluation logic
* add metadata to nova_client results
* Bring in oslo-common rpc ack() changes
* Pin the keystone client version
* Fix auth logic for PUT /v2/alarms
* Imported Translations from Transifex
* Change period type in alarms API to int
* mongodb: fix limit value not being an integer
* Check that the config file sample is always up to date
* api: enable v2 tests on SQLAlchemy & HBase
* Remove useless periodic_interval option
* doc: be more explicit about network counters
* Capture instance metadata in reserved namespace
* Imported Translations from Transifex
* pep8: enable E125 checks
* pep8: enable F403 checks
* pep8: enable H302 checks
* pep8: enable H304 checks
* pep8: enable H401
* pep8: enable H402 checks
* Rename the MeterPublisher to RPCPublisher
* Replace publisher name by URL
* Enable pep8 H403 checks
* Activate H404 checks
* Ceilometer may generate wrong format swift url in some situations
* Code cleanup
* Update Oslo
* Use Flake8 gating for bin/ceilometer-*
* Update requirements to fix devstack installation
* Update to the latest stevedore
* Start gating on H703
* Remove disabled_notification_listeners option
* Remove disabled_compute_pollsters option
* Remove disabled_central_pollsters option
* Longer string columns for Trait and UniqueNames
* Fix nova notifier tests
* pipeline: switch publisher loading model to driver
* Enforce reverse time-order for sample return
* Remove explicit distribute depend
* Use Python 3.x compatible octal literals
* Improve Python 3.x compatibility
* Fix requirements
* Corrected path for test requirements in docs
* Fix some typo in documentation
* Add instance_scheduled in entry points
* fix session connection
* Remove useless imports, reenable F401 checks
* service: run common initialization stuff
* Use console scripts for ceilometer-api
* Use console scripts for ceilometer-dbsync
* Use console scripts for ceilometer-agent-compute
* Use console scripts for ceilometer-agent-central
* agent-central: use CONF.import_opt rather than import
* Move os_* options into a group
* Use console scripts for ceilometer-collector
* sqlalchemy: migration error when running db-sync
* session flushing error
* api: add limit parameters to meters
* python3: Introduce py33 to tox.ini
* Start to use Hacking
* Session does not use ceilometer.conf's database_connection
* Add support for limiting the number of samples returned
* Imported Translations from Transifex
* Add support policy to installation instructions
* sql: fix 003 downgrade
* service: remove useless PeriodicService class
* Fix nova notifier tests
* Explicitly set downloadcache in tox.ini
* Imported Translations from Transifex

2013.2.b1
---------

* Switch to sphinxcontrib-pecanwsme for API docs
* Update oslo, use new configuration generator
* doc: fix hyphens instead of underscores for 'os*' conf options
* Allow specifying a listen IP
* Log configuration values on API startup
* Don't use pecan to configure logging
* Mark sensitive config options as secret
* Imported Translations from Transifex
* ImagePollster record duplicate counter during one poll
* Rename requires files to standard names
* Add an UDP publisher and receiver
* hbase metaquery support
* Imported Translations from Transifex
* Fix and update extract_opts group extraction
* Fix the sample name of 'resource_metadata'
* Added missing source variable in storage drivers
* Add Event methods to db api
* vnics: don't presume existence of filterref/filter
* force the test path to a str (sometimes is unicode)
* Make sure that v2 api tests have the policy file configured
* Imported Translations from Transifex
* setup.cfg misses swift filter
* Add a counter for instance scheduling
* Move recursive_keypairs into utils
* Replace nose with testr
* Use fixtures in the tests
* fix compute units in measurement doc
* Allow suppression of v1 API
* Restore default interval
* Change from unittest to testtools
* remove unused tests/skip module
* Imported Translations from Transifex
* Get all tests to use tests.base.TestCase
* Allow just a bit longer to wait for the server to startup
* Document keystone_authtoken section
* Restore test dependency on Ming
* Set the default pipline config file for tests
* Imported Translations from Transifex
* Fix cross-document references
* Fix config setting references in API tests
* Restrict pep8 & co to pep8 target
* Fix meter_publisher in setup.cfg
* Use flake8 instead of pep8
* Imported Translations from Transifex
* Use sqlalchemy session code from oslo
* Switch to pbr
* fix the broken ceilometer.conf.sample link
* Add a direct Ceilometer notifier
* Do the same auth checks in the v2 API as in the v1 API
* Add the sqlalchemy implementation of the alarms collection
* Allow posting samples via the rest API (v2)
* Updated the ceilometer.conf.sample
* Don't use trivial alarm_id's like "1" in the test cases
* Fix the nova notifier tests after a nova rename
* Document HBase configuration
* alarm: fix MongoDB alarm id
* Use jsonutils instead of json in test/api.py
* Connect the Alarm API to the db
* Add the mongo implementation of alarms collection
* Move meter signature computing into meter_publish
* Update WSME dependency
* Imported Translations from Transifex
* Add Alarm DB API and models
* Imported Translations from Transifex
* Remove "extras" again
* add links to return values from API methods
* Modify limitation on request version
* Doc improvements
* Rename EventFilter to SampleFilter
* Fixes AttributeError of FloatingIPPollster
* Add just the most minimal alarm API
* Update oslo before bringing in exceptions
* Enumerate the meter type in the API Meter class
* Remove "extras" as it is not used
* Adds examples of CLI and API queries to the V2 documentation
* Measurements documentation update
* update the ceilometer.conf.sample
* Set hbase table_prefix default to None
* glance/cinder/quantum counter units are not accurate/consistent
* Add some recommendations about database
* Pin SQLAlchemy to 0.7.x
* Ceilometer configuration.rst file not using right param names for logging
* Fix require_map_reduce mim import
* Extend swift middleware to collect number of requests
* instances: fix counter unit
* Remove Folsom support
* transformer, publisher: move down base plugin classes
* pipeline, publisher, transformer: reorganize code
* Fix tests after nova changes
* Update to the lastest loopingcall from oslo
* Imported Translations from Transifex
* update devstack instructions for cinder
* Update openstack.common
* Reformat openstack-common.conf
* storage: move nose out of global imports
* storage: get rid of get_event_interval
* Remove gettext.install from ceilometer/__init__.py
* Prepare for future i18n use of _() in nova notifier
* Update part of openstack.common
* Convert storage drivers to return models
* Adpated to nova's gettext changes
* add v2 query examples
* storage: remove get_volume_sum and get_volume_max
* api: run tests against HBase too
* api: run sum unit tests against SQL backend too
* Split and fix live db tests
* Remove impl_test
* api: run max_resource_volume test on SQL backend
* Refactor DB tests
* fix volume tests to utilize VOLUME_DELETE notification
* Open havana development, bump to 2013.2

2013.1
------

* Change the column counter_volume to Float
* tests: disable Ming test if Ming unavailable
* Imported Translations from Transifex
* enable arguments in tox
* api: run max_volume tests on SQL backend too
* api: run list_sources tests on SQL and Mongo backend
* api: run list_resources test against SQL
* api: handle case where metadata is None
* Fix statistics period computing with start/end time
* Allow publishing arbitrary headers via the "storage.objects.*.bytes" counter
* Updated the description of get_counters routine
* enable xml error message response
* Swift pollster silently return no counter if keystone endpoint is not present
* Try to get rid of the "events" & "raw events" naming in the code
* Switch to python-keystoneclient 0.2.3
* include a copy of the ASL 2.0
* add keystone configuration instructions to manual install docs
* Update openstack.common
* remove unused dependencies
* Set the default_log_levels to include keystoneclient
* Switch to final 1.1.0 oslo.config release
* Add deprecation warnings for V1 API
* Raise stevedore requirement to 0.7
* Fixed the blocking unittest issues
* Fix a pep/hacking error in a swift import
* Add sample configuration files for mod_wsgi
* Add a tox target for building documentation
* Use a non-standard port for the test server
* Ensure the statistics are sorted
* Start both v1 and v2 api from one daemon
* Handle missing units values in mongodb data
* Imported Translations from Transifex
* Make HACKING compliant
* Update manual installation instructions
* Fix oslo.config and unittest
* Return something sane from the log impl
* Fix an invalid test in the storage test suite
* Add the etc directory to the sdist manifest
* api: run compute duration by resource on SQL backend
* api: run list_projects tests against SQL backend too
* api: run list users test against SQL backend too
* api: run list meters tests against SQL backend too
* Kwapi pollster silently return no probre if keystone endpoint is not present
* HBase storage driver, initial version
* Exclude tests directory from installation
* Ensure missing period is treated consistently
* Exclude tests when installing ceilometer
* Run some APIv1 tests on different backends
* Remove old configuration metering_storage_engine
* Set where=tests
* Decouple the nova notifier from ceilometer code
* send-counter: fix & test
* Remove nose wrapper script
* Fix count type in MongoDB
* Make sure that the period is returned as an int as the api expects an int
* Imported Translations from Transifex
* Remove compat cfg wrapper
* compute: fix unknown flavor handling
* Allow empty dict as metaquery param for sqlalchemy
* Add glossary definitions for additional terms
* Support different publisher interval
* Fix message envelope keys
* Revert recent rpc wire format changes
* Document the rules for units
* Fix a bug in compute manager test case
* plugin: don't use @staticmethod with abc
* Support list/tuple as meter message value
* Imported Translations from Transifex
* Update common to get new kombu serialization code
* Disable notifier tests
* pipeline: manager publish multiple counters
* Imported Translations from Transifex
* Use oslo-config-2013.1b3
* mongodb: make count an integer explicitely
* tests: allow to run API tests on live db
* Update to latest oslo-version
* Imported Translations from Transifex
* Add directive to MANIFEST.in to include all the html files
* Use join_consumer_pool() for notifications
* Update openstack.common
* Add period support in storage drivers and API
* Update openstack/common tree
* storage: fix mongo live tests
* swift: configure RPC service correctly
* Fix tox python version for Folsom
* api: use delta_seconds()
* transformer: add acculumator transformer
* Import service when cfg.CONF.os_* is used
* pipeline: flush after publishing call
* plugin: format docstring as rst
* Use Mongo finalize to compute avg and duration
* Code cleanup, remove useless import
* api: fix a test
* compute: fix notifications test
* Move counter_source definition
* Allow to publish several counters in a row
* Fixed resource api in v2-api
* Update meter publish with pipeline framework
* Use the same Keystone client instance for pollster
* pipeline: fix format error in logging
* More robust mocking of nova conductor
* Mock more conductor API methods to unblock tests
* Update pollsters to return counter list
* Update V2 API documentation
* Added hacking.py support to pep8 portion of tox
* setup: fix typo in package data
* Fix formatting issue with v1 API parameters
* Multiple publisher pipeline framework
* Remove setuptools_git from setup_requires
* Removed unused param for get_counters()
* Use WSME 0.5b1
* Factorize agent code
* Fixed the TemplateNotFound error in v1 api
* Ceilometer-api is crashing due to pecan module missing
* Clean class variable in compute manager test case
* Update nova notifier test after nova change
* Fix documentation formatting issues
* Simplify ceilometer-api and checks Keystone middleware parsing
* Fix nova conf compute_manager unavailable
* Rename run_tests.sh to wrap_nosetests.sh
* Update openstack.common
* Corrected get_raw_event() in sqlalchemy
* Higher level test for db backends
* Remove useless imports
* Flatten the v2 API
* Update v2 API for WSME code reorg
* Update WebOb version specification
* Remove the ImageSizePollster
* Add Kwapi pollster (energy monitoring)
* Fixes a minor documentation typo
* Peg the version of Ming used in tests
* Update pep8 to 1.3.3
* Remove leftover useless import
* Enhance policy test for init()
* Provide the meters unit's in /meters
* Fix keystoneclient auth_token middleware changes
* policy: fix policy_file finding
* Remove the _initialize_config_options
* Add pyflakes
* Make the v2 API date query parameters consistent
* Fix test blocking issue and pin docutils version
* Apply the official OpenStack stylesheets and templates to the Doc build
* Fixed erroneous source filter in SQLAlchemy
* Fix warnings in the documentation build
* Handle finish and revert resize notifications
* Add support for Folsom version of Swift
* Implement user-api
* Add support for Swift incoming/outgoing trafic metering
* Pass a dict configuration file to auth_keystone
* Import only once in nova_notifier
* Fix MySQL charset error
* Use default configuration file to make test data
* Fix Glance control exchange
* Move back api-v1 to the main api
* Fix WSME arguments handling change
* Remove useless gettext call in sql engine
* Ground work for transifex-ify ceilometer
* Add instance_type information to NetPollster
* Fix dbsync API change
* Fix image_id in instance resource metadata
* Instantiate inspector in compute manager
* remove direct nova db access from ceilometer
* Make debugging the wsme app a bit easier
* Implements database upgrade as storage engine independent
* Fix the v1 api importing of acl
* Add the ability to filter on metadata
* Virt inspector directly layered over hypervisor API
* Move meter.py into collector directory
* Change mysql schema from latin1 to utf8 
* Change default os-username to 'ceilometer'
* Restore some metadata to the events and resources
* Update documentation URL
* Add sql db option to devstack for ceilometer
* Remove debug print in V2 API
* Start updating documentation for V2 API
* Implement V2 API with Pecan and WSME
* Move v1 API files into a subdirectory
* Add test storage driver
* Implement /meters to make discovery "nicer" from the client
* Fix sqlalchemy for show_data and v1 web api
* Implement object store metering
* Make Impl of mongodb and sqlalchemy consistent
* add migration migrate.cfg file to the python package
* Fixes to enable the jenkins doc job to work
* Lower the minimum required version of anyjson
* Fix blocking test for nova notifier
* network: remove left-over useless nova import
* tools: set novaclient minimum version
* libvirt: fix Folsom compatibility
* Lower pymongo dependency
* Remove rickshaw subproject
* Remove unused rpc import
* Adapted to nova's compute_driver moving
* doc: fix cpu counter unit
* tools: use tarballs rather than git for Folsom tests
* Used auth_token middleware from keystoneclient
* Remove cinderclient dependency
* Fix latest nova changes
* api: replace minified files by complete version
* Add Folsom tests to tox
* Handle nova.flags removal
* Provide default configuration file
* Fix mysql_engine option type
* Remove nova.flags usage
* api: add support for timestamp in _list_resources()
* api: add timestamp interval support in _list_events()
* tests: simplify api list_resources
* Update openstack.common(except policy)
* Adopted the oslo's rpc.Service change
* Use libvirt num_cpu for CPU utilization calculation
* Remove obsolete reference to instance.vcpus
* Change references of /etc/ceilometer-{agent,collector}.conf to /etc/ceilometer/ceilometer.conf
* Determine instance cores from public flavors API
* Determine flavor type from the public nova API
* Add comment about folsom compatibility change
* Add keystone requirement for doc build
* Avoid TypeError when loading libvirt.LibvirtDriver
* Don't re-import flags and do parse_args instead of flags.FLAGS()
* doc: rename stackforge to openstack
* Fix pymongo requirements
* Update .gitreview for openstack
* Update use of nova config to work with folsom
* compute: remove get_disks work-around
* Use openstack versioning
* Fix documentation build
* document utc naive timestamp
* Remove database access from agent pollsters
* Fix merge error in central/manager.py
* Fix nova config parsing
* pollster trap error due to zero floating ip
* Use the service.py in openstack-common
* Allow no configured sources, provide a default file
* Add service.py from openstack-common
* Update common (except policy)
* nova fake libvirt library breaking tests
* Move db access out into a seperate file
* Remove invalid fixme comments
* Add new cpu_util meter recording CPU utilization %
* Fix TypeError from old-style publish_counter calls
* Fix auth middleware configuration
* pin sqlalchemy to 0.7.x but not specifically 0.7.8
* add mongo index names
* set tox to ignore global packages
* Provide a way to disable some plugins
* Use stevedore to load all plugins
* implement get_volume_max for sqlalchemy
* Add basic text/html renderer
* network: floating IP account in Quantum
* add unit test for CPUPollster
* Clean up context usage
* Add dependencies on clients used by pollsters
* add ceilometer-send-counter
* Update openstack.common.cfg
* Fix tests broken by API change with Counter class
* api: add source detail retrieval
* Set source at publish time
* Instance pollster emits instance.<type> meter
* timestamp columns in sqlalchemy not timezone aware
* Remove obsolete/incorrect install instructions
* network: emit router meter
* Fix sqlalchemy performance problem
* Added a working release-bugs.py script to tools/
* Change default API port
* sqlalchemy record_meter merge objs not string
* Use glance public API as opposed to registry API
* Add OpenStack trove classifier for PyPI
* bump version number to 0.2

0.1
---

* Nova libvirt release note
* Update metadata for PyPI registration
* tox: add missing venv
* Fixes a couple typos
* Counter renaming
* Set correct timestamp on floatingip counter
* Fix API change in make_test_data.py
* Fix Nova URL in doc
* Some more doc fixes
* Ignore instances in the ERROR state
* Use the right version number in documentation
* doc: fix network.*.* resource id
* image: handle glance delete notifications
* image: handle glance upload notifications
* image: add update event, fix ImageServe owner
* network: fix create/update counter type & doc
* Assorted doc fixes
* add max/sum project volume and fix tests
* Add general options
* compute.libvirt: split read/write counters
* API: add Keystone ACL and policy support
* Add documentation for configuration options
* network: do not emit counter on exists event, fix resource id
* Move net function in class method and fix instance id
* Prime counter table
* Fix the configuration for the nova notifier
* Initialize the control_exchange setting
* Set version 0.1
* Make the instance counters use the same type
* Restore manual install documentation
* add quantum release note
* Add release notes to docs
* Update readme and create release notes
* Remove duration field in Counter
* Add counter for number of packets per vif
* Move instance counter into its own pollster
* Add a request counter for instance I/O
* Rename instance disk I/O counter
* Rename instances network counters
* Use constant rather than string from counter type
* Update the architecture diagram
* Increase default polling interval
* Fix compute agent publishing call
* network: listen for Quantum exists event
* Correct requirements filename
* Fix notification subscription logic
* Fix quantum notification subscriptions
* Split meter publishing from the global config obj
* network: add counter for actions
* network: listen for Quantum notifications
* Rename absolute to gauge
* Fix typo in control exchanges help texts
* Rework RPC notification mechanism
* Update packaging files
* Update URL list
* Update openstack.common
* Add volume/sum API endpoint for resource meters
* Add resource volume/max api call
* Fix dependency on anyjson
* Listen for volume.delete.start instead of end
* implement sqlalchemy dbengine backend
* Add a notification handler for image downloads
* Allow glance pollster tests to run
* Create tox env definition for using a live db
* Picking up dependencies from pip-requires file
* Specify a new queue in manager
* Rework RPC connection
* Stop using nova's rpc module
* Add configuration script to turn on notifications
* Pep8 fixes, implement pep8 check on tests subdir
* Use standard CLI options & env vars for creds
* compute: remove get_metadata_from_event()
* Listen for volume notifications
* Add pollster for Glance
* Fix Nova notifier test case
* Fix nova flag parsing
* Add nova_notifier notification driver for nova
* Split instance polling code
* Use stevedore to load storage engine drivers
* Implement duration calculation API
* Create tool for generating test meter data
* Update openstack-common code to latest
* Add bin/ceilometer-api for convenience
* Add local copy of architecture diagram
* Add timestamp parameters to the API docs
* Check for doc build dependency before building
* Pollster for network internal traffic (n1,n2)
* Fix PEP8 issues 
* Add archicture diagram to documentation
* added mongodb auth
* Change timestamp management for resources
* Log the instance causing the error when a pollster fails
* Document how to install with devstack
* Remove test skipping logic
* Remove dependency on nova test modules
* Add date range parameters to resource API
* Add setuptools-git support
* Add separate notification handler for instance flavor
* Change instance meter type
* Split the existing notification handlers up
* Remove redundancy in the API
* Separate the tox coverage test setup from py27
* Do not require user or project argument for event query
* Add pymongo dependency for readthedocs.org build
* Update openstack.common
* Add API documentation
* Be explicit about test dir
* Add list projects API
* Sort list of users and projects returned from queries
* Add project arg to event and resource queries
* Fix "meter" literal in event list API
* collector exception on record_metering_data
* Add API endpoint for listing raw event data
* Change compute pollster API to work on one instance at a time
* Create "central" agent
* Skeleton for API server
* fix use of source value in mongdb driver
* Add {root,ephemeral}_disk_size counters
* Implements vcpus counter
* Fix nova configuration loading
* Implements memory counter
* Fix and document counter types
* Check compute driver using new flag
* Add openstack.common.{context,notifier,log} and update .rpc
* Update review server link
* Add link to roadmap
* Add indexes to MongoDB driver
* extend developer documentation
* Reset the correct nova dependency URL
* Switch .gitreview to use OpenStack gerrit
* Add MongoDB engine
* Convert timestamps to datetime objects before storing
* Reduce complexity of storage engine API
* Remove usage of nova.log
* Documentation edits:
* fix typo in instance properties list
* Add Sphinx wrapper around existing docs
* Configure nova.flags as well as openstack.common.cfg
* First draft of plugin/agent documentation. Fixes bug 1018311
* Essex: update Nova to 2012.1.1, add python-novaclient
* Split service preparation, periodic interval configurable
* Use the same instance metadata everywhere
* Emit meter event for instance "exists"
* Start defining DB engine API
* Fallback on nova.rpc for Essex
* Add instance metadata from notification events
* Combined fix to get past broken state of repo
* Add more metadata to instance counter
* Register storage options on import
* Add Essex tests
* log more than ceilometer
* Remove event_type field from meter messages
* fix message signatures for nested dicts
* Remove nova.flags usage
* Copy openstack.common.cfg
* check message signatures in the collector
* Sketch out a plugin system for saving metering data
* refactor meter event publishing code
* Add and use ceilometer own log module
* add counter type field
* Use timestamp instead of datetime when creating Counter
* Use new flag API
* Fix a PEP8 error
* Make the stand-alone test script mimic tox
* Remove unneeded eventlet test requirement
* Add listeners for other instance-related events
* Add tox configuration
* Use openstack.common.cfg for ceilometer options
* Publish and receive metering messages
* Add floating IP pollster
* Fix tests based on DB by importing nova.tests
* make the pollsters in the agent plugins
* Build ceilometer-agent and ceilometer-collector
* Add plugin support to the notification portion of the collector daemon
* Add CPU time fetching
* Add an example function for converting a nova notification to a counter
* add a tool for recording notifications and replaying them
* Add an exception handler to deal with errors that occur when the info in nova is out of sync with reality (as on my currently broken system). Also adds a nova prefix to the logger for now so messages from this module make it into the log file
* Periodically fetch for disk io stats
* Use nova.service, add a manager class
* Change license to Apache 2.0
* Add setup.py
* Import ceilometer-nova-compute
* Ignore pyc files
* Add link to blueprint
* Add .gitreview file
* initial commit
